a2k
---

Just an other "hello world" kernel written in Ada and targeting the i386 processor via qemu.

Requirement:
run ./configure.sh
to check the requirement and prepare the mtools to build a grub floppy disk.

Building:
make clean
make
to build the kernel in the a.out format (tested with gnat gpl 2008-09 and gcc-4.2.4)
or
make clean
BUILD=elf make
to build the kernel in elf format (only work with gnat gpl 2009)

